{ ... }: {
  nix.settings.trusted-users = [ "vps-builder" ];

  boot.binfmt.emulatedSystems = [ "aarch64-linux" ]; # Needed since this server is x86_64 instead of arm

  users = {
    groups.vps-builder = { };

    users = {
      vps-builder = {
        isNormalUser = true;
        createHome = false;
        group = "vps-builder";

        openssh.authorizedKeys.keys = [
          "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIPhOvImWCrTZQ0BxjVMmDsgJvr8KRm5ULG8uytj+T8Z2 uwu@vps" # vps
          "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIBG5BQ3q5KnVDDqWuCGuU0avIw67HPC6h2ZMiy13xO6D root@vps"
        ];
      };
    };
  };
}
