{ ... }: {
  programs.gnome-disks.enable = true;

  services = {
    displayManager.sddm = {
      enable = true;
      wayland.enable = true;
    };
    desktopManager.plasma6.enable = true;

    xserver.videoDrivers = [ "nvidia" ];
    pipewire = {
      enable = true;
      alsa = {
        enable = true;
        support32Bit = true;
      };

      pulse.enable = true;
    };
  };

  security.rtkit.enable = true;
  hardware = {
    nvidia.nvidiaSettings = true;
    graphics = {
      enable = true;
      enable32Bit = true;
    };
  };
}
